### ===========================================================================
### -package  : simplepackageexample2
#
package require SimpleDevLibPackage 1.0
declare-package {

   simplepackageexample2

} -version {

   1.0

} -synopsis {

   A package example.

} -overview {

      Simple Development Library procedural package example which shows
   many of its features.

} -requisites {

   {Tcl 8}
   SimpleBase
   {SimpleDeclare 0.5}

} -namespaces {

   ::NAMESPACE

} -variable {

   # Comments can be placed here

   ::NAMESPACE::variable1 -value {First variable value}

} -variable {

   ::NAMESPACE::variable2 -value {Second variable value}

} -option {

   # Comments can be placed here

   -flag1 -type type1 -value {First option value}

} -option {

   -flag2 -value {Second option value}

} -type {

   # Comments can be placed here

   type1 -description {First type description}

} -type {

   type2 -description {Second type description}

} -error {

   # Comments can be placed here

   ::NAMESPACE::error1 -message {First error message}\
      -explanation {First error explanation}

} -error {

   ::NAMESPACE::error2 -message {Second error message}

} -command {

   # Comments can be placed here

   {
      ::NAMESPACE::EXPORTED-PROC
   } -synopsis {
      SYNOPSIS
   } -version {
      1.1
   } -access {
      exported
   } -body {
      puts {Exported command}
   }

} -command {

   {
      ::NAMESPACE::ALIASED-PROC1
   } -synopsis {
      SYNOPSIS
   } -alias {
      ALIASED-PROC1
   } -body {
      puts {Aliased command 1}
   }

} -command {

   {
      ::NAMESPACE::ALIASED-PROC2
   } -synopsis {
      SYNOPSIS
   } -alias {
      ::Simple::ALIASED-PROC2B
   } -body {
      puts {Aliased command 2}
   }

} -command {
   {
      ::NAMESPACE::REGULAR-PROC
   } -synopsis {
      SYNOPSIS
   } -body {
      puts {Regular command}
   }
} -history {

   19-feb-1999   Unreleased first version 0.1
   23-apr-2000   First public release, version 0.2
   10-sep-2001   Second public release, version 0.4
   17-feb-2003   Third public release, version 0.5
   30-mar-2003   Extra package, version 0.5.1
   24-oct-2004   Copy functionality deleted, version 0.5.2
   03-dec-2004   P<SimpleRegProc> functionality moved here and changes to\
                 K<::Simple::Proc::information> subcommands, version 0.5.3

} -install {

   puts {Installing PACKAGE 1.0}
   puts "::NAMESPACE::variable1 is $::NAMESPACE::variable1"

} -uninstall {

   puts {Uninstalling PACKAGE 1.0}

} -firsttimeinstall {

   puts {   for the first time!}
}
